---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: api
  namespace: system-log
spec:
  template:
    spec:
      containers:
      - name: api
        image: cr.yandex/crp3ccidau046kdj8g9q/system-log:prod_6ed1b27e
        env:
        - name: KAFKA_PEM_CERT
          value: mock
        - name: KAFKA_PEM_PATH
          value: local
        - name: KAFKA_ENABLE_LOGGING
          value: '0'
        - name: KAFKA_USE_SSL
          value: '0'
        - name: KAFKA_TOPIC
          value: mock
        - name: KAFKA_PASSWORD
          value: mock
        - name: KAFKA_USERNAME
          value: mock
        - name: KAFKA_CLIENT_ID
          value: system-log-prod
        - name: KAFKA_GROUP
          value: system-log-prod
        - name: KAFKA_ENABLE
          value: '0'
        - name: KAFKA_BROKERS
          value: mock
        - name: APP_NAME
          value: system_log
        - name: APP_VERSION
          value: 0.0.1
        - name: LOG_LEVEL
          value: INFO
        - name: HTTP_HOST
          value: 0.0.0.0
        - name: HTTP_PORT
          value: '8000'
        - name: NAMESPACE
          value: system-log
        - name: POSTGRES_ADDRESS
          value: postgres-service
        - name: POSTGRES_PORT
          value: '5432'
        - name: POSTGRES_DB
          value: system_log
        - name: POSTGRES_POOL_SIZE
          value: '3'
        - name: ENABLE_SSL
          value: '0'
        - name: DJANGO_HOST
          value: http://backend.django.svc.cluster.local:8000
